Ext.namespace('dSS11');

dSS11.HelpPanel = Ext.extend(Ext.Panel,
    {
        initComponent: function()
        {
            Ext.apply(this, {
                hideBorders: true,
                layout: 'absolute',
                items:
                [
                            {
                                xtype: 'label',
                                text: _("Installation Manual") + ': ',
                                x: 20,
                                y: 20
                            },
                            {
                                xtype: 'label',
                                cls: 'x-text-link',
                                html: '<a href="/help" target="_blank">'
                                       +_("installation manual") + '</a>',
                                x: 200,
                                y: 20,
                                anchor: '100%'
                            },
                            {
                                xtype: 'label',
                                text: _("User Manual") + ': ',
                                x: 20,
                                y: 50
                            },
                            {
                                xtype: 'label',
                                cls: 'x-text-link',
                                html: '<a href="http://www.aizo.com/downloads"'+
                                      'target="_blank">' +
                                      'www.aizo.com/downloads' + '</a>',
                                x: 200,
                                y: 50,
                                anchor: '100%'
                            },
                            {
                                xtype: 'label',
                                text: _("FAQ") + ': ',
                                x: 20,
                                y: 80
                            },
                            {
                                xtype: 'label',
                                cls: 'x-text-link',
                                html: '<a href="http://www.aizo.com/support" ' +
                                      'target="_blank">' +
                                      'www.aizo.com/support' + '</a>',
                                x: 200,
                                y: 80,
                                anchor: '100%'
                            },
                            {
                                xtype: 'label',
                                text: _("Note: the page will open in a new " +
                                        "tab or window"),
                                x: 20,
                                y: 110,
                                anchor: '100%'
                            }
                ]
            });

            dSS11.HelpPanel.superclass.initComponent.apply(this, arguments);
        } // initcomponent
    }
);

Ext.reg('dss11help', dSS11.HelpPanel);

